Subject: Re: FVWM: Page-placement of windows?

From: Neil Bird <[email-masked]>
Date: Tue, 12 Jan 1999 10:33:45 +0000

Bob Woodside wrote:
>         I'm afraid we all misinterpreted your original note as describing
> part of a bug in the StartsOnPage code; and since we knew that the fix
> for it had just been committed to CVS, we didn't give it much thought.
> (Actually, the fix went in before the 2.1.6 tagging.)

  That'd be more my fault in the phrasing I used; I only came across the
problem after using StartsOnPage, so I kind of associated the two.

>         Netscape does something that seems to override *both* StartIconic
> and SkipMapping (when used together with StartIconic). It does seem to be
> peculiar to Netscape. It's not a generic Motif thing: I tried 3 other
> Motif apps (and a variety of non- Motif ones) with a style like this:
>         Style  "Netscape*"  StartIconic, SkipMapping, StartsOnPage 1 1 1
> They all worked flawlessly.
>         That's as far as I've gotten so far.

  That's OK; just so long as you're aware of it. I'm currently happy
enough with my:

AddToFunc Iconify-Netscape  \
   "I" Wait MailThread
+  "I" Next [MailThread] Iconify 1
+  "I" Next [Navigator]  Iconify 1

  ... at startup!

-- 
========================- http://www.rrds.co.uk/ -======================
 Neil Bird                   |   This is who we are     The time is near
                             |        There are 354 days remaining
 mailto:[email-masked] |                           [ T-147 days! ]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].